#!/bin/bash

# If a window with a path in its title is focused, open a terminal with that
# location as working directory. Like this, terminals are opened in the same
# directory as the currently focused one. I modified my oh-my-zsh to always
# also print the directory, even when a command is executing.

if [[ $(xtitle) =~ (in|^.*@.*:)\ (~?)(/.*) ]]; then
	path="${BASH_REMATCH[3]}"
	[[ ${BASH_REMATCH[2]} == "~" ]] && path="$HOME$path"

	while [[ $path != / && -n $path && ! -d $path ]]; do
		path="$(dirname "$path")"
	done
fi

# Open terminal at specified path
cmd=i3-sensible-terminal
if [[ -n $path ]]; then
	exec env -C "$path" $cmd "$@"
else
	exec $cmd "$@"
fi
